#
# spec file for package python-futurist
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           python-futurist
Version:        0.13.0
Release:        1.1
Summary:        Useful additions to futures, from the future
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            http://www.openstack.org/
Source:         https://pypi.python.org/packages/source/f/futurist/futurist-%{version}.tar.gz
BuildRequires:  python-devel
BuildRequires:  python-pbr
BuildRequires:  python-setuptools
Requires:       python-contextlib2 >= 0.4.0
Requires:       python-futures >= 3.0
Requires:       python-monotonic >= 0.6
Requires:       python-six >= 1.9.0
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if 0%{?suse_version} && 0%{?suse_version} <= 1110
%{!?python_sitelib: %global python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}
%else
BuildArch:      noarch
%endif

%description
Useful additions to futures, from the future

%prep
%setup -q -n futurist-%{version}

%build
python setup.py build

%install
python setup.py install --prefix=%{_prefix} --root=%{buildroot}

%files
%defattr(-,root,root,-)
%doc ChangeLog AUTHORS README.rst LICENSE
%{python_sitelib}/*

%changelog
* Sun Feb 28 2016 dmueller@suse.com
- update to 0.13.0:
  * Single quote the callables name (when submission errors
  * Updated from global requirements
  * Reschedule failed periodic tasks after a short delay
  * Fix wrong comparison in reject_when_reached
  * Updated from global requirements
  * Ensure all futures have completed before run returns
  * Allow PeriodicWorker to skip executor shutdown in case of a preexisting executor
  * Expose underlying futures.CancelledError
  * Updated from global requirements
  * Modification of the example code
  * PeriodicWorker.create to accept arguments for periodic tasks
  * Handle exceptions from executor.submit in PeriodicWorker
  * Add periodics.is_periodic to check if object is a periodic task
  * py26/py33 are no longer supported by Infra's CI
* Mon Jan 11 2016 bwiedemann@suse.com
- Update to version 0.9.0
  * Allow for providing different run work sync functions
  * Have the executor stats object repr look like the watcher repr
  * Add useful watcher '__repr__' function
  * Some minor refactoring and comment/note addition
  * No need for Oslo Incubator Sync
  * Move most of green helper classes -> '_green.py'
  * Add 'enabled' parameter to @periodic decorator
  * Remove green worker reference to its executor
  * Change ignore-errors to ignore_errors
  * Activate pep8 check that _ is imported
  * Handle the case where 0.199 is provided as runtime
  * Just use a deque vs reverse pushing/popping
  * Ensure new entry in immediates gets processed during wait(s)
* Wed Sep  9 2015 tbechtold@suse.com
- update to 0.5.0:
  * Updated from global requirements
  * Provide a thread differentiation attribute on executors
- Adjust Requires according to requirements.txt
* Tue Aug  4 2015 tbechtold@suse.com
- update to 0.3.0:
  * Updated from global requirements
  * Allow providing a callback to certain executors to reject new work
  * Disallow running 'start' twice
  * Allow for providing custom 'on_failure' callbacks
  * Delegate failure capturing to a object that is returned on run
  * Move doc8 to being a normal test requirement in test-requirements.txt
  * Ensure doctesting and doc8 testing done in py27 env
  * Updated from global requirements
* Tue Jul 21 2015 tbechtold@suse.com
- Initial packaging
